Update

Frequent update of an anti-virus system is a must. The NOD32 Update program provides automatic Internet update of all system components (virus databases and upgrade of the executables). The Update program supports these types of updates and upgrades:

  • Incremental or cumulative virus signature database updates
  • Complete upgrade of the executable components of the NOD32 system.

The database updates are performed “on-the-fly” and no restart of the updated computer is necessary. Different update modes are available as follows:

  • For a home-user, the Internet update server is used to download all updates and upgrades automatically.
  • For larger networks, a multilevel update mechanism is supported.

After initial installation of the NOD32 Antivirus System, setting up the automatic Internet update is crucial to provide the maximum level of anti-virus protection. A valid username and password, issued by your vendor or distributor is needed to complete this process.

To learn more about automatic Internet update, click here.


Update Configuration

It is vitally important to correctly schedule automatic updates to provide the maximum level of protection. A valid username and password are necessary to access updates available from the NOD32 Internet update servers.

To configure automatic update:

  • Open the NOD32 Control Center main window
  • Open the Update section (click the arrow)
  • Click the Update item
  • Click Setup to open the Setup of Automatic Update window

Note: The default update server (www.nod32.com) is predefined. A new server can be added or selected by clicking the Servers button.

  • Enter a valid username and password (provided by your vendor or distributor)

To avoid errors when entering these parameters, use “Copy & Paste” to transfer the username and password from the email message sent by your vendor/distributor)

  • Select type of update or leave the default
  • Schedule the update or leave the default (update attempt every hour)
  • Click OK

Note: After completing the step above, the Update window is displayed. Make sure your computer is connected to Internet and click the Update icon. Your system will be updated or a message: "Your NOD32 version is up-to-date. No update necessary." is displayed. If you cannot perform an update, promptly contact your nearest authorized distributor. For a list of distributors, visit www.nod32.com.


Type of Update

The NOD32 system supports several types of automatic updates and upgrades. You can specify the desired options in this window.

Notify before downloading virus databases – Check this box if you wish to be notified before the download of a new virus signature database. Leave this box blank if you wish a fully-automatic update of your anti-virus system.

In addition to updating the virus signature database, executable program components can also be updated. Options are:

  • Perform program component upgrade if necessary for proper virus database function - Upgrades automatically only if the upgrade is necessary for antivirus functions.
  • Notify before program components upgrade - Always display a confirmation message before upgrading any executables.
  • Perform program component upgrade if available - For fully-automatic upgrades of the program components, select this option.

The virus signature database is updated 'on-the-fly' (without the need to restart your computer). Certain updates of the program components may require a restart of your computer. Restart options can be specified in the Restart after program components update section of the window.


Update Profiles

Profiles serve to select or save a custom set of parameters.

To define a new Update Profile:

  1. Double-click Update in the main NOD32 Control Center window to open the Update section
  2. Click Update in the Update section
  3. Click Settings
  4. Click Profiles
  5. Click Add
  6. Enter a name for the new profile
  7. Click OK or select an existing profile if you wish to copy its parameters into the new profile
  8. Select the Server, enter Username, Password and
  9. Define the type of update
  10. Click OK twice to confirm the new profile

After a profile has been defined, a new task can be run or scheduled using the new profile.


Profile Selection

To learn more about Update profiles, click here.

To select a scanning profile:

  1. Click the Profile button in the Setup of Update Server window
  2. Select a profile from the pull-down menu
  3. Click OK


New Profile

Profiles serve to select or save a custom set of parameters.

To define a new Update Profile:

  1. Double-click Update in the main NOD32 Control Center window to open the Update section
  2. Click Update in the Update section
  3. Click Settings
  4. Click Profiles

  5. Click Add
  6. Enter a name for the new profile
  7. Click OK or select an existing profile if you wish to copy its parameters into the new profile
  8. Select the Server, enter Username, Password and
  9. Define the type of update
  10. Click OK twice to confirm the new profile

After a profile has been defined, a new task can be run or scheduled using the new profile.


Update Servers

The NOD32 system is updated from an update server.

The Update server is either a vendor-defined Internet server (e.g. www.nod32.com), or it could be a network directory, a CD drive, etc. In any case, it is crucial to ensure that each computer has access to a current source of updates. Eset monitors the virus situation worldwide and provides updates as needed.

Access to your vendor's update server is subject to verification of a valid username and password. Access to a network update server (also referred to as the Update Mirror) is subject to verification of the access authorization of the specified user defined on the computer to be updated.

To define a new update server:

  1. Click Update in the main NOD32 Control Center
  2. Click Settings
  3. Click Servers
  4. Click Add
  5. Enter the path to the update files
  6. Click OK

The new server is now available in the server selection pull-down menu.

To select the desired server:

  1. Open the server list
  2. Click desired server

Using HTTP Update server

When the option to provide update files via HTTP on the computer with the mirror is enabled (for more information see the Mirror setup help), the update server should be set as follows:

http://computer_name:port

Warning! Before the new update server can be used, a copy of the update files (also known as the Update Mirror), downloaded from your vendor's Internet update server must be created on the new server. An Update Mirror can be created by the NOD32 Control Center in administrator mode. NOD32, installed in administrator mode (enabling creation of Update Mirror), contains a Mirror button in the main NOD32 Control Center window.


Extended Setup Options

Advanced Setup Options

Advanced setup of the update parameters includes the following settings (click on the links for more information):

  • Setup of the Internet connection type (none, LAN, dial-up)
  • Proxy Server Setup (address, port, access username and password)
  • LAN servers connection setup (specification of the user to connect to the update server, access username and password, and action after update completion)


Proxy Server Setup

The connection of your computer to the Internet can be mediated by a proxy server. The proxy server settings are defined by your ISP or network administrator.

The programs on your computer that access the Internet (such as Internet Explorer) need the proxy server address, port number, and access username and password (as defined by your ISP or administrator).

The NOD32 Update module is capable of retrieving this information from Internet Explorer. In some cases, however, a manual setup may need to be performed as follows:

  1. Click Update in the main NOD32 Control Center window.
  2. Click Settings
  3. Click Extended
  4. Select LAN/fixed line or dial-up (depending on the type of your internet connection)
  5. Click Setup in the Proxy server group
  6. Check the Use proxy server box
  7. Enter the IP address and port (if applicable)
  8. Enter the username and password (to access the proxy server)
    Note: The username and password above is not the same as the one provided by your NOD32 vendor.
  9. Click OK

Warning! After Update setup has been completed, perform a functionality test of access to the update server. Automatic update of the NOD32 system is vital to provide the maximum level of anti-virus protection.


LAN Access Setup

The NOD32 system can be updated automatically from a NOD32 Internet update server, or from a computer in your LAN. For LAN access, the LAN update server needs to be defined, and access privileges must be granted to the updated computer.

To set these parameters:

  1. Select Update in the NOD32 Control Center
  2. Click Settings
  3. Click Advanced
  4. Click Setup in the "LAN server connection setup" group
  5. Enter a valid username and password to access the LAN update server and specify the identity of the connecting user
  6. To disconnect from the server after update completion, check the corresponding box

Before the network update feature can be used, a copy of the update files (known as the Update Mirror), downloaded from your vendor's Internet update server must be created within the network. The Update Mirror can be created by the NOD32 Control Center in the administrator mode. NOD32, installed in the administrator mode (enabling creation of an Update Mirror), contains a Mirror button in the main NOD32 Control Center window.


License Expiration Notification

Dear Client,

The term of your valid NOD32 end-user license will soon expire. To renew your license, please contact your vendor by clicking the website address listed below.

Thank you for your continuing confidence in NOD32.


New Signature Database Version

The NOD32 Antivirus System supports three types of automatic Internet updates:

  1. Incremental update of the virus signature database
  2. Cumulative update of the virus signature database
  3. Update of the executable components of the system (program components)

While the first two types of updates are performed 'on-the-fly', i.e. without any need to restart updated computer, the update of the executables requires restart of the updated computer.

Each scanning module of the NOD32 system provides information about the virus signature database version used during scanning in its main window.

It is important to monitor the Log of the NOD32 system on a regular basis to ensure that the automatic system update is functioning properly. Updates to the anti-virus system are vital to provides the maximum level of protection.


New Program Components

The NOD32 Antivirus System supports three types of automatic Internet updates:

  1. Incremental update of the virus signature database
  2. Cumulative update of the virus signature database
  3. Update of the executable components of the system (program components)

While the first two types of updates are performed 'on-the-fly', i.e. without any need to restart the updated computer, update of the executables requires a restart of the updated computer.

Note: It is possible to configure the type of update in the Update module. If a particular server cannot be restarted, the update of executables can be disabled or scheduled in such way that it does not disrupt regular operations of the server.


New Virus Database Update

The NOD32 Antivirus System supports three types of automatic Internet updates:

  1. Incremental update of the virus signature database
  2. Cumulative update of the virus signature database
  3. Update of the executable components of the system (program components)

While the first two types of updates are performed 'on-the-fly', i.e. without any need to restart updated computer, the update of executables requires a restart of the updated computer.


Enter String

This dialog appears when the system wants you to enter some text. For example, it is displayed when adding a new path to the update files: